import { TEMPLATE_DESCRIPTION } from "../common/_module.mjs";
import { CommonAppreciable } from "../common/appreciable.mjs";
import { STRING } from "../common/field-types.mjs";

const fields = foundry.data.fields;
const TEMPLATE_APPRECIABLE = new CommonAppreciable();

export default class RdDModelJeu extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return Object.assign({},
      TEMPLATE_DESCRIPTION.fields(),
      TEMPLATE_APPRECIABLE.fields(),
      {
        type: new fields.StringField({ label: "Type de jeu", initial: "", ...STRING }),
        base: new fields.StringField({ label: "Base", initial: "", ...STRING }),
        caraccomp: new fields.StringField({ label: "Caractéristique / Compétence", initial: "", ...STRING }),
        reference: new fields.StringField({ label: "Référence / Auteur", initial: "", ...STRING }),
      }
    );
  }
}
